libraw1394: version 2.0.4
Prev |  | Next

# raw1394_set_userdata

## Name

raw1394_set_userdata -- associate user data with a handle

## Synopsis

``void raw1394_set_userdata` (raw1394handle_t handle, void * data);`

## Arguments

`handle`

  libraw1394 handle

`data`

  user data (pointer)

## Description

Allows to associate one void pointer with a handle. libraw1394 does not care about the data, it just stores it in the handle allowing it to be retrieved at any time with `raw1394_get_userdata`. This can be useful when multiple handles are used, so that callbacks can identify the handle.

Prev | Home | Next
raw1394_get_fd | Up | raw1394_get_userdata